﻿<%@ page language="C#" autoeventwireup="true" inherits="managecp_StatisticsInfoByComp, App_Web_ucpubpld" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript" src="../js/jquery.js"></script>
    <script type="text/javascript" src="../js/echarts.common.min.js"></script>
</head>
<body>
    <form id="form1" runat="server" style="height: 850px">
    <div id="container" style="height: 100%">
    </div>
    <div style="display: none;">
     <input type="hidden" value="<%=userid %>" id="userid" />
     <input type="hidden" value="<%=username %>" id="username" />
     </div>
    </form>
</body>
</html>
       <script type="text/javascript">
           var dom = document.getElementById("container");
           var myChart = echarts.init(dom);
           var app = {};
           option = null;
           myChart.showLoading();
           var userid = $("#userid").val();
           var username = "[" + $("#username").val() + "]" + "年度代理登记总数量（件）";
           var url = "GetRegTypeJosn.aspx?type=getcompnum&userid=" + userid + "";
           $.get(url, function (data) {
               myChart.hideLoading();
               var dataObj = eval("(" + data + ")"); //转换为json对象 
               var series = []; //必须是数组
               var arr = new Array(); //必须是数组
               $.each(dataObj, function (index, content) {
                   arr.push(content);
               })
               for (var i = 0; i < dataObj.yearcount.length; i++) {
                   var year = dataObj.yearcount[i];
                   var num = parseInt(i + 2);
                   series.push({
                       name: year,
                       type: 'bar',
                       data: arr[num]
                   });
               }
               option = {
                   title: {
                       text: username
                   },
                   color: ['#ff7f50', '#87cefa', '#da70d6', '#32cd32', '#6495ed',
            '#ff69b4', '#ba55d3', '#cd5c5c', '#ffa500', '#40e0d0',
            '#1e90ff', '#ff6347', '#7b68ee', '#00fa9a', '#ffd700',
            '#6699FF', '#ff6666', '#3cb371', '#b8860b', '#30e0e0'],
                   tooltip: {
                       trigger: 'axis',
                       axisPointer: {
                           type: 'shadow',
                           label: {
                               show: true
                           }
                       }
                   },
                   toolbox: {
                       show: true,
                       feature: {
                           mark: { show: true },
                           dataView: { show: true, readOnly: false },
                           magicType: { show: true, type: ['line', 'bar'] },
                           restore: { show: true },
                           saveAsImage: { show: true }
                       }
                   },
                   calculable: true,
                   legend: {
                       data: dataObj.yearcount,
                       itemGap: 5
                   },
                   grid: {
                       top: '12%',
                       left: '1%',
                       right: '10%',
                       containLabel: true
                   },
                   xAxis: [
            {
                type: 'category',
                data: dataObj.compname
            }
        ],
                   yAxis: [
            {
                type: 'value'
            }
        ],
                   dataZoom: [
            {
                show: true,
                start: 84,
                end: 100
            },
            {
                type: 'inside',
                start: 84,
                end: 100
            },
            {
                show: true,
                yAxisIndex: 0,
                filterMode: 'empty',
                width: 30,
                height: '80%',
                showDataShadow: false,
                left: '93%'
            }
        ],
                   series: series
               };

               myChart.setOption(option);

           });       ;
           if (option && typeof option === "object") {
               myChart.setOption(option, true);
           }
       </script>

