﻿<%@ page language="C#" autoeventwireup="true" inherits="managecp_StatisticsInfoBySum, App_Web_ucpubpld" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <script type="text/javascript" src="../js/jquery.js"></script>
    <script type="text/javascript" src="../js/echarts.common.min.js"></script>
</head>
<body>
    <form id="form1" runat="server" style="height: 850px">
    <div id="container" style="height: 100%">
    </div>
    <div style="display: none;">
     <input type="hidden" value="<%=userid %>" id="userid" />
     <input type="hidden" value="<%=username %>" id="username" />
     </div>
    </form>
</body>
</html>
<script type="text/javascript">
    var dom = document.getElementById("container");
    var myChart = echarts.init(dom);
    var app = {};
    option = null;
    var posList = [
    'left', 'right', 'top', 'bottom',
    'inside',
    'insideTop', 'insideLeft', 'insideRight', 'insideBottom',
    'insideTopLeft', 'insideTopRight', 'insideBottomLeft', 'insideBottomRight'
];

    app.configParameters = {
        rotate: {
            min: -90,
            max: 90
        },
        align: {
            options: {
                left: 'left',
                center: 'center',
                right: 'right'
            }
        },
        verticalAlign: {
            options: {
                top: 'top',
                middle: 'middle',
                bottom: 'bottom'
            }
        },
        position: {
            options: echarts.util.reduce(posList, function (map, pos) {
                map[pos] = pos;
                return map;
            }, {})
        },
        distance: {
            min: 0,
            max: 100
        }
    };

    app.config = {
        rotate: 90,
        align: 'left',
        verticalAlign: 'middle',
        position: 'insideBottom',
        distance: 15,
        onChange: function () {
            var labelOption = {
                normal: {
                    rotate: app.config.rotate,
                    align: app.config.align,
                    verticalAlign: app.config.verticalAlign,
                    position: app.config.position,
                    distance: app.config.distance
                }
            };
            myChart.setOption({
                series: [{
                    label: labelOption
                }, {
                    label: labelOption
                }, {
                    label: labelOption
                }, {
                    label: labelOption
                }]
            });
        }
    };


    var labelOption = {
        normal: {
            show: true,
            position: app.config.position,
            distance: app.config.distance,
            align: app.config.align,
            verticalAlign: app.config.verticalAlign,
            rotate: app.config.rotate,
            formatter: '{c}  {name|{a}}',
            fontSize: 16,
            rich: {
                name: {
                    textBorderColor: '#fff'
                }
            }
        }
    };
    var userid = $("#userid").val();
    var username = "[" + $("#username").val() + "]" + "年度总利润报表";
    var url = "GetRegTypeJosn.aspx?type=getperform&userid=" + userid + "&typeid=3";
    myChart.showLoading();
    $.get(url, function (data) {
        var strinfo = "";
        var series = []; //必须是数组
        var dataObj = eval("(" + data + ")"); //转换为json对象 
        myChart.hideLoading();
//        var arr = new Array(); //必须是数组
//        $.each(dataObj, function (index, content) {
//            arr.push(content);
//        })
//        for (var i = 0; i < dataObj.yearcount.length; i++) {
//            var year = dataObj.yearcount[i];
            series.push({
                name: '年度总利润',
                type: 'bar',
                barGap: 0,
                label: labelOption,
                data: dataObj.yearpricesum
            });

//        }
        option = {
            title: {
                text: username
            },
            color: ['#ff7f50', '#87cefa', '#da70d6', '#32cd32', '#6495ed',
            '#ff69b4', '#ba55d3', '#cd5c5c', '#ffa500', '#40e0d0',
            '#1e90ff', '#ff6347', '#7b68ee', '#00fa9a', '#ffd700',
            '#6699FF', '#ff6666', '#3cb371', '#b8860b', '#30e0e0'],
            tooltip: {
                trigger: 'axis',
                axisPointer: {
                    type: 'shadow'
                }
            },
            legend: {
                data: dataObj.yearcount
            },
            toolbox: {
                show: true,
                orient: 'vertical',
                left: 'right',
                top: 'center',
                feature: {
                    mark: { show: true },
                    dataView: { show: true, readOnly: false },
                    magicType: { show: true, type: ['line', 'bar', 'stack', 'tiled'] },
                    restore: { show: true },
                    saveAsImage: { show: true }
                }
            },
            calculable: true,
            xAxis: [
        {
            type: 'category',
            axisTick: { show: false },
            data: dataObj.yearcount
        }
    ],
            yAxis: [
        {
            type: 'value',
            maxInterval: 50000
        }
    ],
            series: series
        }

        myChart.setOption(option);
    })
   
                    
     
</script>

